﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using Telerik.Windows.Controls;

namespace SliderTest
{
    class SliderViewModel : INotifyPropertyChanged
    {
        public SliderViewModel()
        {
            SelectionDouble =  new SelectionRange<double>(SelectionStart = 0.25, SelectionEnd = 0.5);
            //_selectionStart = 0.25;
            //_selectionEnd = 0.5;
        }
        private double _selectionStart;
        public double SelectionStart
        {
            get
            {
                return _selectionStart;
            }
            set
            {
                if (_selectionStart != value)
                {
                    _selectionStart = value;
                    OnPropertyChanged("SelectionStart");
                }
            }
        }

      
        private SelectionRange<double> selectionDouble;

        public SelectionRange<double> SelectionDouble
        {
            get { return selectionDouble; }
            set
            {
                selectionDouble = value;
                this.OnPropertyChanged("SelectionDouble");
            }
        }
       
        

        private double _selectionEnd;
        public double SelectionEnd
        {
            get
            {
                return _selectionEnd;
            }
            set
            {
                if (_selectionEnd != value)
                {
                    _selectionEnd = value;
                    OnPropertyChanged("SelectionEnd");
                }
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(String propertyName)
        {
            var handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
